<template>
  <div :class="{ active: isOpen }" class="overlay">
    <span
      class="overlay__close-button"
      @click="closeOverlay"
    >x</span>
    <slot />
  </div>
</template>

<script setup>
const props = defineProps({
  isOpen: {
    type: Boolean,
    default: false,
    required: true,
  },
});

const emit = defineEmits(['close']);

function closeOverlay () {
  emit('close', props.isOpen);
}
</script>

<style lang="scss" scoped>
@import '~/assets/css/_variables.scss';

.overlay {
  display: none;
  width: 100vw;
  height: 100vh;
  padding: 2em;
  background-color: $color-blue;
  color: $color-white;

  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  overflow-y: scroll;

  &.active {
    display: block;
  }

  &__close-button {
    cursor: pointer;
    font-size: 2em;
    font-weight: bolder;
    line-height: 1rem;
    position: absolute;
    right: 1em;
  }
}
</style>
